%define realname qwt
%define major 6

Name: libqwt
Version: 6.0.1
Release: %mkrel 5
Summary: 2D plotting widget extension to the Qt GUI
License: Qwt License 1.0
Group: System/Libraries
Url: http://sourceforge.net/projects/qwt
Source: http://freefr.dl.sourceforge.net/sourceforge/qwt/%realname-%version.tar.bz2
Patch0: qwt-6.0.1-fedora-install_qt.patch
Patch1: qwt-6.0.1-mageia-fix-strings.patch
BuildRequires: qt4-devel

%description
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

#------------------------------------------------------------------------------
%define libname %mklibname %realname %{major}

%package -n %libname 
Summary: 2D plotting widget extension to the Qt GUI
Group: System/Libraries

%description -n %libname
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientifical purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

This package provides the runtime library.

%files -n %libname
%doc CHANGES COPYING README
%{_qt4_libdir}/libqwt.so.%{major}*
%{_qt4_libdir}/libqwtmathml.so.%{major}*
%{_qt4_plugindir}/designer/*

#------------------------------------------------------------------------------

%define libnamedev %mklibname qwt -d

%package -n %libnamedev
Summary: Development tools for programs which uses Qwt Widget set
Group: System/Libraries
Requires: %libname = %version
Provides: libqwt-devel = %version-%release
Conflicts: %{_lib}qwt5-devel

%description -n %libnamedev
The libqwt-devel package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%files -n %libnamedev
%doc COPYING 
%doc examples
%docdir %{_qt4_docdir}/html/
%{_qt4_docdir}/html/qwt/
%{_qt4_includedir}/*
%{_qt4_libdir}/*.so
%{_libdir}/pkgconfig/%realname.pc
%{_qt4_datadir}/mkspecs/*

#------------------------------------------------------------------------------

%prep
%setup -q -n %realname-%version
%apply_patches


%build
%qmake_qt4 CONFIG+=QwtSVGItem CONFIG+=install-qt LIBS+=-lrt
%make

%install
make install INSTALL_ROOT=%{buildroot}
mv %{buildroot}/%{_qt4_docdir}/html/html %{buildroot}/%{_qt4_docdir}/html/qwt


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 6.0.1-5.mga3
+ Revision: 358045
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 18 2012 zezinho <zezinho> 6.0.1-4.mga3
+ Revision: 319481
- add conflicts with libqwt5

* Sun Nov 18 2012 zezinho <zezinho> 6.0.1-3.mga3
+ Revision: 319446
- conflict devel package and remove bad obsoletes

* Sat Nov 17 2012 zezinho <zezinho> 6.0.1-2.mga3
+ Revision: 319237
- obsoletes qwt5

* Sat Nov 17 2012 zezinho <zezinho> 6.0.1-1.mga3
+ Revision: 319010
- fix build
- update patch

* Fri Nov 16 2012 zezinho <zezinho> 5.2.2-3.mga3
+ Revision: 318996
- spec cleanup

* Tue Dec 27 2011 dmorgan <dmorgan> 5.2.2-2.mga2
+ Revision: 187989
- Rebuild against new qt4 and new include path

* Mon Dec 12 2011 mikala <mikala> 5.2.2-1.mga2
+ Revision: 181023
- Update tarball to 5.2.2
- sync patch0 with fedora's one
- drop patch1
- change spec layout
- fix description
- remove %%clean & %%defattr()

* Fri Apr 01 2011 ahmad <ahmad> 5.2.1-3.mga1
+ Revision: 79417
- drop old/unneeded scriptlets
- imported package libqwt

